

<ion-content padding class="background">
    <br/> <br/> <br/>
    <br/> <br/>
  <form [formGroup]="user" (ngSubmit)="createUser()">
    <ion-list>
      <ion-item>
        <ion-label position="stacked">Nombre completo *</ion-label>
        <ion-input type="text" formControlName="fullName"></ion-input>
      </ion-item>
      <ion-item class="form-error-list" *ngIf="!user.controls.fullName.pristine && !user.controls.fullName.valid">
        <p class="form-error" item-right *ngIf="!user.controls.fullName.pristine && user.controls.fullName.hasError('required')">
          Este campo es obligatorio.
        </p>
      </ion-item>
      <br/> 
      <ion-item>
        <ion-label position="stacked">Email *</ion-label>
        <ion-input #email type="email" formControlName="email" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"></ion-input>
      </ion-item>
      <ion-item class="form-error-list" *ngIf="!user.controls.email.pristine && !user.controls.email.valid">
        <p class="form-error" item-right *ngIf="!user.controls.email.pristine && user.controls.email.hasError('required')">
          Este campo es obligatorio.
        </p>
        <p class="form-error" item-right *ngIf="!user.controls.email.pristine && !user.controls.email.valid">
         Email invalido.
        </p>
      </ion-item>
      <br/> 
      <ion-item>
        <ion-label position="stacked">Contraseña *</ion-label>
        <ion-input #password type="password" formControlName="password"></ion-input>
      </ion-item>
      <ion-item class="form-error-list" *ngIf="!user.controls.password.pristine && !user.controls.password.valid">
        <p class="form-error" item-right *ngIf="!user.controls.password.pristine && user.controls.password.hasError('required')">
          Este campo es obligatorio.
        </p>
        <p class="form-error" item-right *ngIf="!user.controls.password.pristine && user.controls.password?.errors?.minlength">
          La contraseña debe tener al menos 5 caracteres
        </p>
      </ion-item>
      <br/> 
      <ion-item>
        <ion-label position="stacked">Confirma la contraseña *</ion-label>
        <ion-input type="password" formControlName="passwordConfirmation"></ion-input>
      </ion-item>
      <ion-item class="form-error-list" *ngIf="!user.controls.passwordConfirmation.pristine && !user.controls.passwordConfirmation.valid">
        <p class="form-error" item-right *ngIf="!user.controls.passwordConfirmation.pristine && user.controls.passwordConfirmation.hasError('required')">
          Este campo es obligatorio.
        </p>
        <p class="form-error" item-right *ngIf="!user.controls.passwordConfirmation.pristine && user.controls.passwordConfirmation?.errors?.minlength">
          La contraseña debe tener al menos 5 caracteres
        </p>
      </ion-item>
    </ion-list>
    <br/> 
    <ion-button type="submit" expand="full" color="secondary" [disabled]="!user.valid">Registrarse</ion-button>
    <ion-button expand="full" color="secondary" routerLink="/login" routerDirection="root">Volver al login</ion-button>
  </form>
</ion-content>
